local storage = minetest.get_mod_storage()
local server_info = minetest.get_server_info()
local server_id = server_info.address .. ':' .. server_info.port

minetest.register_chatcommand("kick2", {
   params = "<playername> | <playername> <reason>",
   func = function(param)
      if string.find(param, "^[^ ]+%s+.+") then
         player_name, reason = string.match(param, "^([^ ]+)%s+(.+)")
         minetest.run_server_chatcommand("kick", player_name .. " " .. reason)
         storage:set_string(server_id .. "_kick_" .. player_name, "true")
      else
         player_name = param
         minetest.run_server_chatcommand("kick", player_name)
         storage:set_string(server_id .. "_kick_" .. player_name, "true")
      end
    end,   
})

minetest.register_chatcommand("unkick2", {
   params = "<playername>",
   func = function(param)
      storage:set_string(server_id .. "_kick_" .. param, "")
    end,   
})

minetest.register_globalstep(function(dtime))
	local player_status = minetest.run_server_chatcommand("status")
	local player_online = string.find(player_status, "^# Server: .*clients={([^}]*)}")
	for player in string.gmatch(player_online, "[^, ][^, ]*") do
		if storage:get_string(server_id .. "_kick_" .. player) == "true" then
			minetest.run_server_chatcommand("kick", player)
		end
	end
end